@echo off

REM <Vista/7>
IF EXIST "%USERPROFILE%\Desktop\." SET desktop=%USERPROFILE%\Desktop
IF EXIST "%USERPROFILE%\Desktop\." SET programs=%USERPROFILE%\AppData\Roaming\Microsoft\Windows\Start Menu\Programs
IF EXIST "%USERPROFILE%\Desktop\." SET startup=%USERPROFILE%\AppData\Roaming\Microsoft\Windows\Start Menu\Programs\Startup
REM <2000/XP>
IF NOT EXIST "%USERPROFILE%\Desktop\." SET desktop=%USERPROFILE%\デスクトップ
IF NOT EXIST "%USERPROFILE%\Desktop\." SET programs=%USERPROFILE%\スタート メニュー\プログラム
IF NOT EXIST "%USERPROFILE%\Desktop\." SET startup=%USERPROFILE%\スタート メニュー\プログラム\スタートアップ

ECHO.
ECHO ###　NANS21Vセットアップ　インストール《後》処理　開始 ###
ECHO.

if not exist "C:\ニシ･スポーツ\NANS21V\$Settings.tmp\." goto SHORTCUT

ECHO.
ECHO ■バックアップ済設定ファイルを復帰します。
ECHO.
xcopy /EIY C:\ニシ･スポーツ\NANS21V\$Settings.tmp\NANS21V.ini C:\ニシ･スポーツ\NANS21V\Settings
xcopy /EIY C:\ニシ･スポーツ\NANS21V\$Settings.tmp\NANS21VLocal.ini C:\ニシ･スポーツ\NANS21V\Settings
xcopy /EIY C:\ニシ･スポーツ\NANS21V\$Settings.tmp\PRINT_OBSERVER.ini C:\ニシ･スポーツ\NANS21V\Settings
xcopy /EIY C:\ニシ･スポーツ\NANS21V\$Settings.tmp\Denko.ini C:\ニシ･スポーツ\NANS21V\Settings
REM xcopy /EIY C:\ニシ･スポーツ\NANS21V\$Settings.tmp\KYOUGIKAI.ini C:\ニシ･スポーツ\NANS21V\Settings
REM xcopy /EIY C:\ニシ･スポーツ\NANS21V\$Settings.tmp\PRINT.ini C:\ニシ･スポーツ\NANS21V\Settings
REM xcopy /EIY C:\ニシ･スポーツ\NANS21V\$Templates.tmp C:\ニシ･スポーツ\NANS21V\Templates

:SHORTCUT
ECHO.
ECHO ■ショートカットを設定します。
ECHO.
xcopy /EIY "%programs%\ニシ･スポーツ\陸上競技運営用コンピュータシステム\Local NANS21V.lnk" "%desktop%\NANS管理"
xcopy /EIY "%programs%\ニシ･スポーツ\陸上競技運営用コンピュータシステム\NANS21V.lnk" "%desktop%\NANS管理"
xcopy /EIY "%programs%\ニシ･スポーツ\陸上競技運営用コンピュータシステム\NANS21V DBバックアップ.lnk" "%desktop%\NANS管理"
xcopy /EIY "%programs%\ニシ･スポーツ\陸上競技運営用コンピュータシステム\NANS21V DB復元.lnk" "%desktop%\NANS管理"
xcopy /EIY "%programs%\ニシ･スポーツ\陸上競技運営用コンピュータシステム\プレス出力監視.lnk" "%desktop%\NANS管理"
xcopy /EIY "%programs%\ニシ･スポーツ\陸上競技運営用コンピュータシステム\印刷監視.lnk" "%desktop%\NANS管理"
if not exist "C:\共有\." goto END
xcopy /EIY "%programs%\ニシ･スポーツ\陸上競技運営用コンピュータシステム\印刷監視.lnk" "%desktop%"

:END

ECHO.
ECHO ###　NANS21V　セットアップ　インストール《後》処理　終了 ###
ECHO.
ECHO エラーメッセージが出力されていないことをご確認ください。
ECHO (エラーが出力された場合はNISHIにお問合せください。)
ECHO.
PAUSE
